Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_modis_sim.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_modis_sim.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_modis_sim.F90	(revision 5099)
@@ -4,8 +4,8 @@
 ! $Revision: 88 $, $Date: 2013-11-13 07:08:38 -0700 (Wed, 13 Nov 2013) $
 ! $URL: http://cfmip-obs-sim.googlecode.com/svn/stable/v1.4.0/MODIS_simulator/modis_simulator.F90 $
-! 
+
 ! Redistribution and use in source and binary forms, with or without modification, are permitted 
 ! provided that the following conditions are met:
-! 
+
 !     * Redistributions of source code must retain the above copyright notice, this list 
 !       of conditions and the following disclaimer.
@@ -16,5 +16,5 @@
 !       to endorse or promote products derived from this software without specific prior written 
 !       permission.
-! 
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR 
 ! IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
@@ -25,7 +25,5 @@
 ! IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT 
 ! OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-!
-
-!
+
 ! History:
 !   May 2009 - Robert Pincus - Initial version
@@ -34,7 +32,5 @@
 !   November 2009 - Robert Pincus - Bux fixes and speed-ups after experience with Rick Hemler using AM2 (GFDL) 
 !   January 2010 - Robert Pincus - Added high, middle, low cloud fractions 
-!
-
-!
+
 ! Notes on using the MODIS simulator: 
 !  *) You may provide either layer-by-layer values of optical thickness at 0.67 and 2.1 microns, or 
@@ -47,8 +43,7 @@
 !     libraries (parameters re_water_min, re_ice_min, etc.) the simulator returns missing values (re_fill)
 
-!
 ! When error conditions are encountered this code calls the function complain_and_die, supplied at the 
 !   bottom of this module. Users probably want to replace this with something more graceful. 
-!
+
 module mod_modis_sim
   USE MOD_COSP_TYPES, only: R_UNDEF, ok_debug_cosp
@@ -56,10 +51,9 @@
   ! ------------------------------
   ! Algorithmic parameters
-  !
- 
+
   real, parameter :: ice_density          = 0.93               ! liquid density is 1.  
-  !
+
   ! Retrieval parameters
-  !
+
   real, parameter :: min_OpticalThickness = 0.3,             & ! Minimum detectable optical thickness
                      CO2Slicing_PressureLimit = 700. * 100., & ! Cloud with higher pressures use thermal methods, units Pa
@@ -73,8 +67,8 @@
   
   logical, parameter :: useSimpleReScheme = .false. 
-  !
+
   ! These are the limits of the libraries for the MODIS collection 5 algorithms 
   !   They are also the limits used in the fits for g and w0
-  !
+
   real,    parameter :: re_water_min= 4., re_water_max= 30., re_ice_min= 5., re_ice_max= 90.
   integer, parameter :: num_trial_res = 15             ! increase to make the linear pseudo-retrieval of size more accurate
@@ -82,7 +76,7 @@
 !  logical, parameter :: use_two_re_iterations = .false. ! do two retrieval iterations? 
 ! DJS2015 END  
-  !
+
   ! Precompute near-IR optical params vs size for retrieval scheme
-  !
+
   integer, private :: i 
   real, dimension(num_trial_res), parameter :: & 
@@ -94,5 +88,5 @@
   ! ------------------------------
   ! Bin boundaries for the joint optical thickness/cloud top pressure histogram
-  !
+
   integer, parameter :: numTauHistogramBins = 6, numPressureHistogramBins = 7
 
@@ -103,7 +97,7 @@
     pressureHistogramBoundaries = (/ 0., 18000., 31000., 44000., 56000., 68000., 80000., 1000000. /) 
   real, parameter :: highCloudPressureLimit = 440. * 100., lowCloudPressureLimit = 680. * 100.
-  !
+
   ! For output - nominal bin centers and  bin boundaries. On output pressure bins are highest to lowest. 
-  !
+
   integer, private :: k, l
   real, parameter, dimension(2, numTauHistogramBins) ::   &
@@ -155,5 +149,5 @@
   !     subroutine modis_L2_simulator_oneTau, or 
   !  2) Provide ice and liquid optical depths in each layer
-  !
+
   interface modis_L2_simulator
     module procedure modis_L2_simulator_oneTau, modis_L2_simulator_twoTaus
@@ -162,8 +156,8 @@
   !------------------------------------------------------------------------------------------------
   ! MODIS simulator using specified liquid and ice optical thickness in each layer 
-  !
+
   !   Note: this simulator operates on all points; to match MODIS itself night-time 
   !     points should be excluded
-  !
+
   !   Note: the simulator requires as input the optical thickness and cloud top pressure 
   !     derived from the ISCCP simulator run with parameter top_height = 1. 
@@ -171,5 +165,5 @@
   !     and reverts to a thermal algorithm much like ISCCP's. Rather than replicate that 
   !     alogrithm in this simulator we simply report the values from the ISCCP simulator. 
-  !
+
   subroutine modis_L2_simulator_twoTaus(                                       &
                                 temp, pressureLayers, pressureLevels,          &
@@ -212,8 +206,7 @@
     nSubcols = size(liquid_opticalThickness, 1)
     nLevels  = size(liquid_opticalThickness, 2) 
- 
-    !
+
     ! Initial error checks 
-    !   
+
     if(any((/ size(ice_opticalThickness, 1), size(waterSize, 1), size(iceSize, 1), &
               size(isccpTau), size(isccpCloudTopPressure),              &
@@ -234,7 +227,7 @@
              
     ! ---------------------------------------------------
-    !
+
     ! Compute the total optical thickness and the proportion due to liquid in each cell
-    !
+
     where(liquid_opticalThickness(:, :) + ice_opticalThickness(:, :) > 0.) 
       tauLiquidFraction(:, :) = liquid_opticalThickness(:, :)/(liquid_opticalThickness(:, :) + ice_opticalThickness(:, :))
@@ -243,20 +236,17 @@
     end  where 
     tauTotal(:, :) = liquid_opticalThickness(:, :) + ice_opticalThickness(:, :) 
-    
-    !
+
     ! Optical depth retrieval 
     !   This is simply a sum over the optical thickness in each layer 
     !   It should agree with the ISCCP values after min values have been excluded 
-    !
+
     retrievedTau(:) = sum(tauTotal(:, :), dim = 2)
 
-    !
     ! Cloud detection - does optical thickness exceed detection threshold? 
-    !
+
     cloudMask = retrievedTau(:) >= min_OpticalThickness
-    
-    !
+
     ! Initialize initial estimates for size retrievals
-    !
+
     if(any(cloudMask) .and. .not. useSimpleReScheme) then 
       g_w(:)  = get_g_nir(  phaseIsLiquid, trial_re_w(:))
@@ -268,5 +258,5 @@
     do i = 1, nSubCols
       if(cloudMask(i)) then 
-        !
+
         ! Cloud top pressure determination 
         !   MODIS uses CO2 slicing for clouds with tops above about 700 mb and thermal methods for clouds
@@ -276,15 +266,13 @@
         ! This assumes linear variation in p between levels. Linear in ln(p) is probably better, 
         !   though we'd need to deal with the lowest pressure gracefully. 
-        !
+
         retrievedCloudTopPressure(i) = cloud_top_pressure((/ 0., tauTotal(i, :) /), &
                                                           pressureLevels,           &
                                                           CO2Slicing_TauLimit)  
-        
-        
-        !
+
         ! Phase determination - determine fraction of total tau that's liquid 
         ! When ice and water contribute about equally to the extinction we can't tell 
         !   what the phase is 
-        !
+
         integratedLiquidFraction = weight_by_extinction(tauTotal(i, :),          &
                                                         tauLiquidFraction(i, :), &
@@ -297,11 +285,10 @@
           retrievedPhase(i) = phaseIsUndetermined
         end if 
-        
-        !
+
         ! Size determination 
-        !
+
         if(useSimpleReScheme) then 
           !   This is the extinction-weighted size considering only the phase we've chosen 
-          !
+
           if(retrievedPhase(i) == phaseIsIce) then 
             retrievedSize(i) = weight_by_extinction(ice_opticalThickness(i, :),  &
@@ -323,7 +310,7 @@
         end if 
       else 
-        !
+
         ! Values when we don't think there's a cloud. 
-        !
+
         retrievedCloudTopPressure(i) = R_UNDEF 
         retrievedPhase(i) = phaseIsNone
@@ -337,5 +324,5 @@
     !   mimics what MODIS does to first order. 
     !   Of course, ISCCP cloud top pressures are in mb. 
-    !   
+
     where(cloudMask(:) .and. retrievedCloudTopPressure(:) > CO2Slicing_PressureLimit) &
       retrievedCloudTopPressure(:) = isccpCloudTopPressure * 100. 
@@ -343,8 +330,8 @@
   end subroutine modis_L2_simulator_twoTaus
   !------------------------------------------------------------------------------------------------
-  !
+
   ! MODIS simulator: provide a single optical thickness and the cloud ice and liquid contents; 
   !   we'll partition this into ice and liquid optical thickness and call the full MODIS simulator 
-  ! 
+
   subroutine modis_L2_simulator_oneTau(                                         &
                                 temp, pressureLayers, pressureLevels,           &
@@ -399,7 +386,7 @@
         tauLiquidFraction(:, :) = 0. 
       elsewhere 
-        ! 
+
         ! Geometic optics limit - tau as LWP/re  (proportional to LWC/re) 
-        !
+
 ! Modif AI 02 2018 
         tauLiquidFraction(:, :) = (cloudWater(:, :)/max(waterSize(:, :), seuil) ) / &
@@ -682,12 +669,12 @@
                                         Liquid_Water_Path_Mean,          Ice_Water_Path_Mean,           &    
        Optical_Thickness_vs_Cloud_Top_Pressure)
-    !
+
     ! Inputs; dimension nPoints, nSubcols
-    !
+
     integer, dimension(:, :),   intent(in)  :: phase
     real,    dimension(:, :),   intent(in)  :: cloud_top_pressure, optical_thickness, particle_size
-    !
+
     ! Outputs; dimension nPoints
-    !
+
     real,    dimension(:),      intent(out) :: &
        Cloud_Fraction_Total_Mean,       Cloud_Fraction_Water_Mean,       Cloud_Fraction_Ice_Mean,       &
@@ -702,5 +689,5 @@
     ! ---------------------------
     ! Local variables
-    !
+
     real, parameter :: LWP_conversion = 2./3. * 1000. ! MKS units  
     integer :: i, j
@@ -714,7 +701,7 @@
     nPoints  = size(phase, 1) 
     nSubcols = size(phase, 2) 
-    !
+
     ! Array conformance checks
-    !
+
     if(any( (/ size(cloud_top_pressure, 1), size(optical_thickness, 1), size(particle_size, 1),                                &
                size(Cloud_Fraction_Total_Mean),       size(Cloud_Fraction_Water_Mean),       size(Cloud_Fraction_Ice_Mean),    &
@@ -728,16 +715,14 @@
     if(any( (/ size(cloud_top_pressure, 2), size(optical_thickness, 2), size(particle_size, 2) /)  /= nSubcols)) &
       call complain_and_die("Some L3 arrays have wrong number of subcolumns") 
-    
-    
-    !
+
     ! Include only those pixels with successful retrievals in the statistics 
-    !
+
     validRetrievalMask(:, :) = particle_size(:, :) > 0.
     cloudMask      = phase(:, :) /= phaseIsNone   .and. validRetrievalMask(:, :)
     waterCloudMask = phase(:, :) == phaseIsLiquid .and. validRetrievalMask(:, :)
     iceCloudMask   = phase(:, :) == phaseIsIce    .and. validRetrievalMask(:, :)
-    !
+
     ! Use these as pixel counts at first 
-    !
+
     Cloud_Fraction_Total_Mean(:) = real(count(cloudMask,      dim = 2))
     Cloud_Fraction_Water_Mean(:) = real(count(waterCloudMask, dim = 2))
@@ -747,8 +732,7 @@
     Cloud_Fraction_Low_Mean(:)  = real(count(cloudMask .and. cloud_top_pressure >  lowCloudPressureLimit,  dim = 2)) 
     Cloud_Fraction_Mid_Mean(:)  = Cloud_Fraction_Total_Mean(:) - Cloud_Fraction_High_Mean(:) - Cloud_Fraction_Low_Mean(:)
-    
-    !
+
     ! Don't want to divide by 0, even though the sums will be 0 where the pixel counts are 0. 
-    !
+
     where (Cloud_Fraction_Total_Mean == 0) Cloud_Fraction_Total_Mean = -1. 
     where (Cloud_Fraction_Water_Mean == 0) Cloud_Fraction_Water_Mean = -1.
@@ -780,8 +764,7 @@
                              / Cloud_Fraction_Ice_Mean(:)
 
-    !
     ! Normalize pixel counts to fraction
     !   The first three cloud fractions have been set to -1 in cloud-free areas, so set those places to 0.
-    ! 
+
     Cloud_Fraction_Total_Mean(:) = max(0., Cloud_Fraction_Total_Mean(:)/nSubcols)
     Cloud_Fraction_Water_Mean(:) = max(0., Cloud_Fraction_Water_Mean(:)/nSubcols)
@@ -794,5 +777,5 @@
     ! ----
     ! Joint histogram 
-    ! 
+
     do i = 1, numTauHistogramBins 
       where(cloudMask(:, :)) 
@@ -826,9 +809,8 @@
     real,               intent(in) :: tauLimit
     real                           :: cloud_top_pressure
-    !
+
     ! Find the extinction-weighted pressure. Assume that pressure varies linearly between 
     !   layers and use the trapezoidal rule.
-    !
-    
+
     real :: deltaX, totalTau, totalProduct
     integer :: i 
@@ -839,8 +821,8 @@
         deltaX = tauLimit - totalTau
         totalTau = totalTau + deltaX
-        !
+
         ! Result for trapezoidal rule when you take less than a full step
         !   tauIncrement is a layer-integrated value
-        !
+
         totalProduct = totalProduct           &
                      + pressure(i-1) * deltaX &
@@ -859,8 +841,7 @@
     real,               intent(in) :: tauLimit
     real                           :: weight_by_extinction
-    !
+
     ! Find the extinction-weighted value of f(tau), assuming constant f within each layer
-    !
-    
+
     real    :: deltaX, totalTau, totalProduct
     integer :: i 
@@ -892,7 +873,7 @@
     ice_g(:)    = get_g_nir(  phaseIsIce,    ice_size) 
     ice_w0(:)   = get_ssa_nir(phaseIsIce,    ice_size) 
-    !
+
     ! Combine ice and water optical properties
-    !
+
     g(:) = 0; w0(:) = 0. 
     tau(:) = ice_tau(:) + water_tau(:) 
@@ -913,5 +894,5 @@
       real,    intent(in) :: tau, obs_Refl_nir
       real                :: retrieve_re
-      !
+
       ! Finds the re that produces the minimum mis-match between predicted and observed reflectance in 
       !   MODIS band 7 (near IR)
@@ -920,9 +901,9 @@
       !  two-stream for layer reflectance and transmittance as a function of optical thickness tau, g, and w0
       !  adding-doubling for total reflectance 
-      !  
-      !
-      !
+
+
+
       ! Local variables
-      !
+
       real, parameter :: min_distance_to_boundary = 0.01
       real    :: re_min, re_max, delta_re
@@ -946,12 +927,12 @@
         w0(:)  = w0_i(:)
       end if
-      !
+
       ! 1st attempt at index: w/coarse re resolution
-      !
+
       predicted_Refl_nir(:) = two_stream_reflectance(tau, g(:), w0(:))
       retrieve_re = interpolate_to_min(trial_re(:), predicted_Refl_nir(:), obs_Refl_nir) 
-      !
+
       ! If first retrieval works, can try 2nd iteration using greater re resolution 
-      !
+
 ! DJS2015: Remove unused piece of code      
 !      if(use_two_re_iterations .and. retrieve_re > 0.) then
@@ -959,5 +940,5 @@
 !        re_max = retrieve_re + delta_re
 !        delta_re = (re_max - re_min)/real(num_trial_res-1)
-!  
+
 !        trial_re(:) = re_min + delta_re * (/ (i - 1, i = 1, num_trial_res) /) 
 !        g(:)  = get_g_nir(  phase, trial_re(:))
@@ -977,8 +958,8 @@
     real,               intent(in) :: yobs
     real                           :: interpolate_to_min
-    ! 
+
     ! Given a set of values of y as y(x), find the value of x that minimizes abs(y - yobs)
     !   y must be monotonic in x
-    !
+
     real, dimension(size(x)) :: diff
     integer                  :: nPoints, minDiffLoc, lowerBound, upperBound
@@ -1005,7 +986,7 @@
     
     if(diff(lowerBound) * diff(upperBound) < 0) then     
-      !
+
       ! Interpolate the root position linearly if we bracket the root
-      !
+
       interpolate_to_min = x(upperBound) - & 
                            diff(upperBound) * (x(upperBound) - x(lowerBound)) / (diff(upperBound) - diff(lowerBound))
@@ -1020,9 +1001,8 @@
   ! --------------------------------------------
   elemental function get_g_nir (phase, re)
-    !
+
     ! Polynomial fit for asummetry parameter g in MODIS band 7 (near IR) as a function 
     !   of size for ice and water
     ! Fits from Steve Platnick
-    !
 
     integer, intent(in) :: phase
@@ -1056,9 +1036,9 @@
         real,    intent(in) :: re
         real                :: get_ssa_nir
-        !
+
         ! Polynomial fit for single scattering albedo in MODIS band 7 (near IR) as a function 
         !   of size for ice and water
         ! Fits from Steve Platnick
-        !
+
         real, dimension(4), parameter :: ice_coefficients   = (/ 0.9625, -1.8069e-2, 3.3281e-4,-2.2865e-6/)
         real, dimension(3), parameter :: water_coefficients = (/ 1.0044, -1.1397e-2, 1.3300e-4 /)
@@ -1107,7 +1087,7 @@
     integer                               :: i
     ! ---------------------------------------
-    !
+
     ! This wrapper reports reflectance only and strips out non-cloudy elements from the calculation
-    !
+
     cloudMask = tau(:) > 0. 
     cloudIndicies = pack((/ (i, i = 1, size(tau)) /), mask = cloudMask) 
@@ -1125,8 +1105,8 @@
     real, intent(in)  :: tauint, gint, w0int
     real, intent(out) :: ref, tra
-    !
+
     ! Compute reflectance in a single layer using the two stream approximation 
     !   The code itself is from Lazaros Oreopoulos via Steve Platnick 
-    !
+
     ! ------------------------
     ! Local variables 
@@ -1137,8 +1117,8 @@
     real :: tau, w0, g, f, gamma1, gamma2, gamma3, gamma4, &
             rh, a1, a2, rk, r1, r2, r3, r4, r5, t1, t2, t3, t4, t5, beta, e1, e2, ef1, ef2, den, th
-    !
+
     ! Compute reflectance and transmittance in a single layer using the two stream approximation 
     !   The code itself is from Lazaros Oreopoulos via Steve Platnick 
-    !
+
     f   = gint**2
     tau = (1 - w0int * f) * tauint
@@ -1204,8 +1184,8 @@
     real, intent(in) :: tauint, gint, w0int
     real             :: two_stream_reflectance
-    !
+
     ! Compute reflectance in a single layer using the two stream approximation 
     !   The code itself is from Lazaros Oreopoulos via Steve Platnick 
-    !
+
     ! ------------------------
     ! Local variables 
@@ -1279,8 +1259,7 @@
       real,    dimension(:), intent(in)  :: Refl,     Tran
       real,                  intent(out) :: Refl_tot, Tran_tot
-      !
+
       ! Use adding/doubling formulas to compute total reflectance and transmittance from layer values
-      !
-      
+
       integer :: i
       real, dimension(size(Refl)) :: Refl_cumulative, Tran_cumulative
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/optics_lib.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/optics_lib.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/optics_lib.F90	(revision 5099)
@@ -4,5 +4,5 @@
 ! Compiled/Modified:
 !   07/01/06  John Haynes (haynes@atmos.colostate.edu)
-!
+
 ! m_wat (subroutine)
 ! m_ice (subroutine)
@@ -19,19 +19,19 @@
   subroutine m_wat(freq, tk, n_r, n_i)
   implicit none
-!  
+
 ! Purpose:
 !   compute complex index of refraction of liquid water
-!
+
 ! Inputs:
 !   [freq]    frequency (GHz)
 !   [tk]       temperature (K)
-!
+
 ! Outputs:
 !   [n_r]     real part index of refraction
 !   [n_i]     imaginary part index of refraction
-!
+
 ! Reference:
 !   Based on the work of Ray (1972)
-!
+
 ! Coded:
 !   03/22/05  John Haynes (haynes@atmos.colostate.edu)
@@ -83,19 +83,19 @@
   subroutine m_ice(freq,t,n_r,n_i)
   implicit none
-!
+
 ! Purpose:
 !   compute complex index of refraction of ice
-!
+
 ! Inputs:
 !   [freq]    frequency (GHz)
 !   [t]       temperature (K)
-!
+
 ! Outputs:
 !   [n_r]     real part index of refraction
 !   [n_i]     imaginary part index of refraction
-!
+
 ! Reference:
 !    Fortran 90 port from IDL of REFICE by Stephen G. Warren
-!
+
 ! Modified:
 !   05/31/05  John Haynes (haynes@atmos.colostate.edu)
@@ -121,21 +121,21 @@
 ! Allowable wavelength range extends from 0.045 microns to 8.6 meter
 ! temperature dependence only considered beyond 167 microns.
-! 
+
 ! interpolation is done     n_r  vs. log(xlam)
 !                           n_r  vs.        t
 !                       log(n_i) vs. log(xlam)
 !                       log(n_i) vs.        t
-!
+
 ! Stephen G. Warren - 1983
 ! Dept. of Atmospheric Sciences
 ! University of Washington
 ! Seattle, Wa  98195
-!
+
 ! Based on
-!
+
 !    Warren,S.G.,1984.
 !    Optical constants of ice from the ultraviolet to the microwave.
 !    Applied Optics,23,1206-1225
-!
+
 ! Reference temperatures are -1.0,-5.0,-20.0, and -60.0 deg C
  
@@ -576,5 +576,5 @@
 ! subroutine MIEINT
 ! ----------------------------------------------------------------------------
-!
+
 !     General purpose Mie scattering routine for single particles
 !     Author: R Grainger 1990
@@ -583,5 +583,5 @@
 !     code to ensure correct calculation of backscatter coeficient
 !     Options/Extend_Source
-!
+
       Subroutine MieInt(Dx, SCm, Inp, Dqv, Dqxt, Dqsc, Dbsc, Dg, Xs1, Xs2, DPh, Error)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/pf_to_mr.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/pf_to_mr.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/pf_to_mr.F	(revision 5099)
@@ -3,8 +3,8 @@
 ! $Revision: 23 $, $Date: 2011-03-31 15:41:37 +0200 (jeu. 31 mars 2011) $
 ! $URL: http://cfmip-obs-sim.googlecode.com/svn/stable/v1.4.0/llnl/pf_to_mr.f $
-! 
+
 ! Redistribution and use in source and binary forms, with or without modification, are permitted 
 ! provided that the following conditions are met:
-! 
+
 !     * Redistributions of source code must retain the above copyright notice, this list 
 !       of conditions and the following disclaimer.
@@ -15,5 +15,5 @@
 !       nor the names of its contributors may be used to endorse or promote products derived from 
 !       this software without specific prior written permission.
-! 
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR 
 ! IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/prec_scops.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/prec_scops.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/prec_scops.F	(revision 5099)
@@ -3,8 +3,8 @@
 ! $Revision: 23 $, $Date: 2011-03-31 15:41:37 +0200 (jeu. 31 mars 2011) $
 ! $URL: http://cfmip-obs-sim.googlecode.com/svn/stable/v1.4.0/llnl/prec_scops.f $
-! 
+
 ! Redistribution and use in source and binary forms, with or without modification, are permitted 
 ! provided that the following conditions are met:
-! 
+
 !     * Redistributions of source code must retain the above copyright notice, this list 
 !       of conditions and the following disclaimer.
@@ -15,5 +15,5 @@
 !       nor the names of its contributors may be used to endorse or promote products derived from 
 !       this software without specific prior written permission.
-! 
+
 ! THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR 
 ! IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/radar_simulator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/radar_simulator.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/radar_simulator.F90	(revision 5099)
@@ -17,32 +17,32 @@
   
 ! Purpose:
-!
+
 !   Simulates a vertical profile of radar reflectivity
 !   Originally Part of QuickBeam v1.04 by John Haynes & Roger Marchand.
 !   but has been substantially modified since that time by
 !   Laura Fowler and Roger Marchand (see modifications below).
-!
+
 ! Inputs:
-!
+
 !   [hp]              structure that defines hydrometeor types and other radar properties
-!
+
 !   [nprof]           number of hydrometeor profiles
 !   [ngate]           number of vertical layers
-!
+
 !   [undef]           missing data value
 !   (The following 5 arrays must be in order from closest to the radar
 !    to farthest...)
-!
+
 !   [hgt_matrix]      height of hydrometeors (km)
 !   [p_matrix]        pressure profile (hPa)
 !   [t_matrix]        temperature profile (K)
 !   [rh_matrix]       relative humidity profile (%) -- only needed if gaseous aborption calculated.
-!
+
 !   [hm_matrix]       table of hydrometeor mixing rations (g/kg)
 !   [re_matrix]       table of hydrometeor effective radii.  0 ==> use defaults. (units=microns)    
 !   [Np_matrix]	      table of hydrometeor number concentration.  0 ==> use defaults. (units = 1/kg)
-!
+
 ! Outputs:
-!
+
 !   [Ze_non]          radar reflectivity without attenuation (dBZ)
 !   [Ze_ray]          Rayleigh reflectivity (dBZ)
@@ -50,5 +50,5 @@
 !   [g_atten_to_vol]  gaseous atteunation, radar to vol (dB)
 !   [dBZe]            effective radar reflectivity factor (dBZ)
-!
+
 ! Optional:
 !   [g_to_vol_in]     integrated atten due to gases, r>v (dB).
@@ -57,8 +57,8 @@
 !   [g_to_vol_out]    integrated atten due to gases, r>v (dB).
 !                     If present then gaseous absorption for each profile is returned here.
-!
+
 ! Created:
 !   11/28/2005  John Haynes (haynes@atmos.colostate.edu)
-!
+
 ! Modified:
 !   09/2006  placed into subroutine form (Roger Marchand,JMH)
@@ -66,5 +66,5 @@
 !   01/2008  'Do while' to determine if hydrometeor(s) present in volume
 !             changed for vectorization purposes (A. Bodas-Salcedo)
-!
+
 !   07/2010  V3.0 ... Modified to load or save scale factors to disk as a Look-Up Table (LUT)
 !  ... All hydrometeor and radar simulator properties now included in hp structure
@@ -73,12 +73,12 @@
 !     Also ... Support of Morrison 2-moment style microphyscis (Np_matrix) added 
 !  ... Changes implement by Roj Marchand following work by Laura Fowler
-!
+
 !   10/2011  Modified ngate loop to go in either direction depending on flag 
 !     hp%radar_at_layer_one.  This affects the direction in which attenuation is summed.
-!
+
 !     Also removed called to AVINT for gas and hydrometeor attenuation and replaced with simple
 !     summation. (Roger Marchand)
-!
-!
+
+
 ! ----- INPUTS -----  
  
@@ -153,7 +153,6 @@
   g_to_vol_out_present = present(g_to_vol_out)
 
-  !
   ! load scaling matricies from disk -- but only the first time this subroutine is called
-  !
+
   if(hp%load_scale_LUTs) then
     call load_scale_LUTs(hp)
@@ -223,5 +222,5 @@
           if(Re.gt.0) then
             ! determine index in to scale LUT
-            !
+
             ! distance between Re points (defined by "base" and "step") for
             ! each interval of size Re_BIN_LENGTH
@@ -278,5 +277,5 @@
                 ! alternative is to comment out above two lines and use the following block
                 ! MG Mie approach - adjust density of sphere with D = D_characteristic to match particle density
-                !
+
                 ! hp%rho_eff(tp,1:ns,iRe_type) = (6/pi)*hp%apm(tp)*(Di*1E-6)**(hp%bpm(tp)-3)   !MG Mie approach
 
@@ -373,5 +372,5 @@
 
       !     :: attenuation due to hydrometeors between radar and volume
-      !
+
       ! NOTE old scheme integrates attenuation only for the layers ABOVE
       ! the current layer ... i.e. 1 to k-1 rather than 1 to k ...
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/radar_simulator_init.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/radar_simulator_init.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/radar_simulator_init.F90	(revision 5099)
@@ -12,43 +12,43 @@
   
 ! Purpose:
-!
+
 !   Initialize variables used by the radar simulator.
 !   Part of QuickBeam v3.0 by John Haynes and Roj Marchand
-!   
-!
+
+
 ! Inputs:  
 !   []   from data in hydrometeor class input 
-! 
+
 !   [freq]            radar frequency (GHz)
-!
+
 !   [k2]              |K|^2, the dielectric constant, set to -1 to use the
 !                     frequency dependent default
-!
+
 !   [use_gas_abs]     1=do gaseous abs calcs, 0=no gasesous absorbtion calculated,
 !                     2=calculate (and use) absorption for first profile on all profiles
-!
+
 !   [undef]           mising data value
 !   [nhclass]         number of hydrometeor types
-!
+
 !   For each hydrometero type:
 !       hclass_type     Type of distribution (see quickbeam documentation)
 !       hclass_phase            1==ice, 0=liquid
-!
+
 !       hclass_dmin         minimum diameter allowed is drop size distribution N(D<Dmin)=0
 !       hclass_dmax         maximum diameter allowed is drop size distribution N(D>Dmax)=0
-!
+
 !   hclass_apm,hclass_bpm   Density of partical apm*D^bpm or constant = rho
 !   hclass_rho, 
-!   
+
 !       hclass_p1,hclass_p2,    Default values of DSD parameters (see quickbeam documentation)
 !   hclass_p3, 
-!
+
 !   load_scale_LUTs_flag    Flag, load scale factors Look Up Table from file at start of run
 !   update_scale_LUTs_flag  Flag, save new scale factors calculated during this run to LUT
 !   LUT_file_name       Name of file containing LUT
-!
+
 ! Outputs:
 !   [hp]            structure that define hydrometeor types
-!
+
 ! Modified:
 !   08/23/2006  placed into subroutine form (Roger Marchand)
@@ -75,8 +75,7 @@
   integer :: i,j
   real*8  :: delt, deltp
-        
-    !
+
     ! set radar simulation properites
-    !
+
     hp%freq=freq
     hp%k2=k2
@@ -88,8 +87,7 @@
     hp%update_scale_LUTs=update_scale_LUTs_flag
     hp%scale_LUT_file_name=LUT_file_name
-    
-    ! 
+
         ! Store settings for hydrometeor types in hp (class_parameter) structure.   
-        !
+
         do i = 1,nhclass
         hp%dtype(i) = hclass_type(i)
@@ -104,8 +102,7 @@
         hp%p3(i)    = hclass_p3(i)
         enddo
-   
-        ! 
+
         ! initialize scaling array
-        !
+
         hp%N_scale_flag = .false.
         hp%fc = undef
@@ -116,8 +113,7 @@
         hp%Zr_scaled = 0.0
         hp%kr_scaled = 0.0
-  
-        !
+
     ! set up Re bin "structure" for z_scaling
-        !
+
     hp%base_list(1)=0;
     do j=1,Re_MAX_BIN
@@ -131,7 +127,6 @@
     enddo
 
-    !
     ! set up Temperature bin structure used for z scaling
-    !
+
     do i=1,cnt_ice
         hp%mt_tti(i)=(i-1)*5-90 + 273.15
@@ -141,8 +136,7 @@
         hp%mt_ttl(i)=(i-1)*5-60 + 273.15
     enddo 
-  
-    !
+
         ! define array discrete diameters used in mie calculations
-        !
+
         delt = (log(dmax)-log(dmin))/(nd-1)
         deltp = exp(delt)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/scale_luts_io.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/scale_luts_io.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/scale_luts_io.F90	(revision 5099)
@@ -1,4 +1,4 @@
   ! scale_LUT_io:  Contains subroutines to load and save scaling Look Up Tables (LUTs) to a file
-  ! 
+
   ! June 2010   Written by Roj Marchand
   
@@ -16,8 +16,7 @@
     logical :: LUT_file_exists
     integer :: i,j,k,ind
-    
-    !
+
     ! load scale LUT from file 
-    !
+
     inquire(file=trim(hp%scale_LUT_file_name) // '_radar_Z_scale_LUT.dat', &
         exist=LUT_file_exists)
